# UniTAP.dev.ports.modules.vtg.types

class VideoPattern(enum.IntEnum):

Class `VideoPattern` contains all possible variants of patterns which can be set in the function `set_pattern`.

Disabled = <VideoPattern.Disabled: 0>
ColorBars = <VideoPattern.ColorBars: 1>
Chessboard = <VideoPattern.Chessboard: 2>
SolidColor = <VideoPattern.SolidColor: 3>
SolidWhite = <VideoPattern.SolidWhite: 4>
SolidRed = <VideoPattern.SolidRed: 5>
SolidGreen = <VideoPattern.SolidGreen: 6>
SolidBlue = <VideoPattern.SolidBlue: 7>
WhiteVStrips = <VideoPattern.WhiteVStrips: 8>
GradientRGBStripes = <VideoPattern.GradientRGBStripes: 9>
ColorRamp = <VideoPattern.ColorRamp: 10>
ColorSquares = <VideoPattern.ColorSquares: 11>
MotionPattern = <VideoPattern.MotionPattern: 12>
SquareWindow = <VideoPattern.SquareWindow: 15>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PGDynamicRange(enum.IntEnum):

Class `PGDynamicRange` contains all possible variants of Dynamic Range.

VESA = <PGDynamicRange.VESA: 0>
CTA = <PGDynamicRange.CTA: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PGStandard(enum.IntEnum):

Class `PGStandard` contains all possible variants of Standard.

CVT = <PGStandard.CVT: 1>
DMT = <PGStandard.DMT: 2>
CTA = <PGStandard.CTA: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PGVideoMode(enum.IntEnum):

Class `PGVideoMode` contains all possible variants of Video mode.

CTA = <PGVideoMode.CTA: 0>
RB1 = <PGVideoMode.RB1: 1>
RB2 = <PGVideoMode.RB2: 2>
RB3 = <PGVideoMode.RB3: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PGAspectRatio(enum.IntEnum):

Class `PGVideoMode` contains all possible variants of Aspect ratio.

NoData = <PGAspectRatio.NoData: 0>
Ratio4x3 = <PGAspectRatio.Ratio4x3: 1>
Ratio16x9 = <PGAspectRatio.Ratio16x9: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PGColorInfo(enum.IntEnum):

Class `PGColorInfo` contains all possible variants of Color info.

Unknown = <PGColorInfo.Unknown: -1>
RGB = <PGColorInfo.RGB: 0>
YCbCr444 = <PGColorInfo.YCbCr444: 1>
YCbCr422 = <PGColorInfo.YCbCr422: 2>
YCbCr420 = <PGColorInfo.YCbCr420: 3>
Y_only = <PGColorInfo.Y_only: 4>
RAW = <PGColorInfo.RAW: 5>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PGColorimetry(enum.IntEnum):

Class `PGColorimetry` contains all possible variants of Colorimetry.

Unknown = <PGColorimetry.Unknown: 0>
ITU601 = <PGColorimetry.Unknown: 0>
ITU709 = <PGColorimetry.ITU709: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PGColorDepth(enum.IntEnum):

Class `PGColorDepth` contains all possible variants of Color Depth.

Unknown = <PGColorDepth.Unknown: -1>
BPC6 = <PGColorDepth.BPC6: 0>
BPC8 = <PGColorDepth.BPC8: 1>
BPC10 = <PGColorDepth.BPC10: 2>
BPC12 = <PGColorDepth.BPC12: 3>
BPC16 = <PGColorDepth.BPC16: 4>
BPC7 = <PGColorDepth.BPC7: 5>
BPC14 = <PGColorDepth.BPC14: 6>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PGAdaptiveSyncPatternType(enum.IntEnum):

Class `PGAdaptiveSyncPatternType` contains all possible variants of Adaptive Sync Pattern.

AS_None = <PGAdaptiveSyncPatternType.AS_None: 0>
AS_Constant = <PGAdaptiveSyncPatternType.AS_Constant: 1>
AS_Square = <PGAdaptiveSyncPatternType.AS_Square: 2>
AS_Zigzag = <PGAdaptiveSyncPatternType.AS_Zigzag: 3>
AS_Fixed = <PGAdaptiveSyncPatternType.AS_Fixed: 4>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class ConstantASParams:

Special configuration class for configure Adaptive-Sync. Contains information about blank lines count.

ConstantASParams(lines: int = 0)
lines
class SquareASParams:

Special configuration class for configure Adaptive-Sync. Contains information about blank lines minimum and maximum count and period frames count.

SquareASParams(min_lanes: int = 0, max_lanes: int = 1000, period_frames: int = 10)
min_lanes
max_lanes
period_frames
class ZigzagASParams:

Special configuration class for configure Adaptive-Sync. Contains information about blank lines minimum and maximum count, increase and decrease lanes count.

ZigzagASParams( min_lanes: int = 0, max_lanes: int = 1000, increase_lines: int = 100, decrease_lines: int = 100)
min_lanes
max_lanes
increase_lines
decrease_lines
class FixedASParams:

Special configuration class for configure Adaptive-Sync. Contains information about refresh rate count, increase and decrease lanes count.

FixedASParams( refresh_rate: int = 60, divide_by_1_001: bool = False, increase_lines: int = 100, decrease_lines: int = 100)
refresh_rate
divide_by_1_001
increase_lines
decrease_lines